## org.red5.server.net.rtmp
Class RTMPClientConnManager

    java.lang.Object
      org.red5.server.net.rtmp.RTMPClientConnManager

All Implemented Interfaces:
  IRTMPConnManager

    public class RTMPClientConnManager

extends Object
implements IRTMPConnManager

Field Summary
`protected RTMPConnection` `rtmpConn`

Constructor Summary
`RTMPClientConnManager()`

Method Summary
`RTMPConnection` `createConnection(Class<?> connCls)`
`RTMPConnection` `getConnection()`
`RTMPConnection` `getConnection(int clientId)`
`RTMPConnection` `removeConnection(int clientId)`
`Collection<RTMPConnection>` `removeConnections()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rtmpConn

    protected RTMPConnection rtmpConn

Constructor Detail

### RTMPClientConnManager

    public RTMPClientConnManager()

Method Detail

### getConnection

    public RTMPConnection getConnection()

### getConnection

    public RTMPConnection getConnection(int clientId)

  Specified by:
    `getConnection` in interface `IRTMPConnManager`

### removeConnection

    public RTMPConnection removeConnection(int clientId)

  Specified by:
    `removeConnection` in interface `IRTMPConnManager`

### removeConnections

    public Collection<RTMPConnection> removeConnections()

  Specified by:
    `removeConnections` in interface `IRTMPConnManager`

### createConnection

    public RTMPConnection createConnection(Class<?> connCls)

  Specified by:
    `createConnection` in interface `IRTMPConnManager`

Copyright © 2006-2010 The Red5 Project